import request from '@/utils/request'

// 查询师傅签到记录列表
export function listWorkerSign(query) {
  return request({
    url: '/system/WorkerSign/list',
    method: 'get',
    params: query
  })
}

// 查询师傅签到记录详细
export function getWorkerSign(id) {
  return request({
    url: '/system/WorkerSign/' + id,
    method: 'get'
  })
}

// 新增师傅签到记录
export function addWorkerSign(data) {
  return request({
    url: '/system/WorkerSign',
    method: 'post',
    data: data
  })
}

// 修改师傅签到记录
export function updateWorkerSign(data) {
  return request({
    url: '/system/WorkerSign',
    method: 'put',
    data: data
  })
}

// 删除师傅签到记录
export function delWorkerSign(id) {
  return request({
    url: '/system/WorkerSign/' + id,
    method: 'delete'
  })
}
